[Gigabyte MB: GA-Z77X-UD5H-WB, ALC898] No sound from headphone/line-out jacks

Bug #996245 reported by Anmar Oueja on 2012-05-07
100
This bug affects 15 people
Affects Status Importance Assigned to Milestone
ALSA driver
Unknown
Unknown
Debian
Confirmed
Undecided
Unassigned
alsa-driver (Ubuntu)
Undecided
Unassigned

Bug Description

I am using precise on my desktop. The system uses Intel's Z77 chipset with an Ivy Bridge CPU. The problem is two issues. I will break it into two bugs once I get a response from you guys.

Issue 1: Audio out (green 3.5 mm plug) has not sound coming out of it. The only way to get sound is to plug the speakers into my screen that is HDMI connected and ask PulseAudio to use the HDMI for sound output.

Issue 2: The audio levels are too low. the Max is decent if you are sitting next to the speaker. Please keep in mind that I have used alsamixer and check out the ubuntu-devel ppa for newers Alsa drivers (they are as new as the ones in precise)

I am willing to test and help sort this out but it is not a major show stopper for me.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: alsa-base 1.0.25+dfsg-0ubuntu1
Uname: Linux 3.4.0-030400rc6-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.25.
ApportVersion: 2.0.1-0ubuntu7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: anmar 2511 F.... pulseaudio
 /dev/snd/pcmC0D7p: anmar 2511 F...m pulseaudio
 /dev/snd/controlC1: anmar 2511 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xf7d30000 irq 49'
   Mixer name : 'Intel PantherPoint HDMI'
   Components : 'HDA:10ec0899,1458a072,00100003 HDA:80862806,80860101,00100000'
   Controls : 58
   Simple ctrls : 24
Card1.Amixer.info:
 Card hw:1 'U0x46d0x821'/'USB Device 0x46d:0x821 at usb-0000:00:1a.0-1.4, high speed'
   Mixer name : 'USB Mixer'
   Components : 'USB046d:0821'
   Controls : 2
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'Mic',0
   Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum
   Capture channels: Mono
   Limits: Capture 0 - 52
   Mono: Capture 40 [77%] [-31.00dB] [on]
Date: Mon May 7 19:13:43 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_CA:en
 TERM=xterm-256color
 PATH=(custom, no user)
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
SourcePackage: alsa-driver
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/26/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: F6
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: Z77X-UD5H
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrF6:bd04/26/2012:svnGigabyteTechnologyCo.,Ltd.:pnTobefilledbyO.E.M.:pvrTobefilledbyO.E.M.:rvnGigabyteTechnologyCo.,Ltd.:rnZ77X-UD5H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To be filled by O.E.M.
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

Anmar Oueja (anmar) wrote :
Changed in alsa-driver (Ubuntu):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
Sebastien Bacher (seb128) wrote :

Thank you for your bug report

Hey Luke, could you have a look to the issue reported and see if that's something we can work on?

Changed in alsa-driver (Ubuntu):
assignee: Canonical Desktop Team (canonical-desktop-team) → Luke Yelavich (themuso)

Let me know if you want anything tested.

BTW, I am running 3.4 kernel from the Canonical kernel team PPA
(http://kernel.ubuntu.com/~kernel-ppa/mainline/) and the issue is
still there.

This is a hardware enablement problem, and due to recent hda changes in the kernel, I am unable to write a possible fix without access to the real hardware. David, would you mind taking a look? Its a desktop board, but since the realtek code in the kernel is now fixup based, I don't really know where to start digging.

Thanks.

Changed in alsa-driver (Ubuntu):
assignee: Luke Yelavich (themuso) → nobody
summary: - Audio level is too low on Intel Z77 Chipset (Gigabyte MB: GA-Z77X-UD5H-
- WB)
+ [Gigabyte MB: GA-Z77X-UD5H-WB, ALC898] Audio level is too low on Intel
+ Z77 Chipset

I didn't discover anything by just looking at the codec unfortunately, so chances are Realtek needs to do some magic processing coefficient patches to the kernel...

Anyway, just to clarify. Have you tested both the Front Headphone jack and the Rear Line-Out jack, and neither of them were working?

And the low volume levels, was that referring to the HDMI connection then, or...?

On 31 May 2012 23:03, David Henningsson <email address hidden> wrote:
> I didn't discover anything by just looking at the codec unfortunately,
> so chances are Realtek needs to do some magic processing coefficient
> patches to the kernel...
>
> Anyway, just to clarify. Have you tested both the Front Headphone jack
> and the Rear Line-Out jack, and neither of them were working?

No sound coming from the back and front headphone jacks

> And the low volume levels, was that referring to the HDMI connection
> then, or...?

Since the only audio I can get out is via HDMI, I can't confirm if the
low level exists on other ports. Currently, I can hear audio off a
monitor that is connected via HDMI or DisplayPort

I know you don't have access to the hardware so if there is anything
you wish me to test, please point me at it.

anmar

> No sound coming from the back and front headphone jacks

The back one is not a headphone jack, it's a line-out jack, you'll need to test it with e g external speakers - with headphones you would get no or faint signal even if it was working. At least that's what your BIOS says, and what the drivers configure the codec for.

The front one is a headphone jack though. When something is plugged into this jack, the rear jacks are automatically muted.

There's nothing obvious from what I can see in the log files, but we can try something at random: you can try installing snd-hda-tools from ppa:diwic/hda and then execute "sudo hda-jack-sense-test -d 2 -a".
Node 0x1b should switch to "Present = yes" if you run it while the front headphone is plugged in. You can also try the other jacks to see if they correspond to the correct descriptions.

On 5 June 2012 11:18, David Henningsson <email address hidden> wrote:
>> No sound coming from the back and front headphone jacks
>
> The back one is not a headphone jack, it's a line-out jack, you'll need
> to test it with e g external speakers - with headphones you would get no
> or faint signal even if it was working. At least that's what your BIOS
> says, and what the drivers configure the codec for.

Right. Sorry I should have been clearer. Just so it is clear, I tested
both using a speaker that was at maximum volume and nothing.

> Node 0x1b should switch to "Present = yes" if you run it while the front headphone is plugged in. You can also try the other jacks to see if they correspond to the correct descriptions.

Here is what I found:

1. With speaker plugged into the HDMI monitor (I can hear music) the
out put of the command is:

anmar@i7:~$ sudo hda-jack-sense-test -d 2 -a
Pin 0x11 (Internal SPDIF Out): present = No
Pin 0x12 (Not connected): present = No
Pin 0x14 (Green Line Out): present = No
Pin 0x15 (Black Line Out): present = No
Pin 0x16 (Orange Line Out): present = No
Pin 0x17 (Grey Line Out): present = No
Pin 0x18 (Pink Mic): present = No
Pin 0x19 (Pink Mic): present = No
Pin 0x1a (Blue Line In): present = No
Pin 0x1b (Green HP Out): present = No
Pin 0x1c (Not connected): present = No
Pin 0x1d (Not connected): present = No
Pin 0x1e (Grey SPDIF Out): present = No
Pin 0x1f (Not connected): present = No

2. With speakder plugged into the front headphone jack (I can't hear
music) the output is:

anmar@i7:~$ sudo hda-jack-sense-test -d 2 -a
Pin 0x11 (Internal SPDIF Out): present = No
Pin 0x12 (Not connected): present = No
Pin 0x14 (Green Line Out): present = No
Pin 0x15 (Black Line Out): present = No
Pin 0x16 (Orange Line Out): present = No
Pin 0x17 (Grey Line Out): present = No
Pin 0x18 (Pink Mic): present = No
Pin 0x19 (Pink Mic): present = No
Pin 0x1a (Blue Line In): present = No
Pin 0x1b (Green HP Out): present = Yes
Pin 0x1c (Not connected): present = No
Pin 0x1d (Not connected): present = No
Pin 0x1e (Grey SPDIF Out): present = No
Pin 0x1f (Not connected): present = No

3. with speaker Plugged into the line in (green) on the back of the
mother board (I can't hear music) the ouput is:

anmar@i7:~$ sudo hda-jack-sense-test -d 2 -a
Pin 0x11 (Internal SPDIF Out): present = No
Pin 0x12 (Not connected): present = No
Pin 0x14 (Green Line Out): present = Yes
Pin 0x15 (Black Line Out): present = No
Pin 0x16 (Orange Line Out): present = No
Pin 0x17 (Grey Line Out): present = No
Pin 0x18 (Pink Mic): present = No
Pin 0x19 (Pink Mic): present = No
Pin 0x1a (Blue Line In): present = No
Pin 0x1b (Green HP Out): present = No
Pin 0x1c (Not connected): present = No
Pin 0x1d (Not connected): present = No
Pin 0x1e (Grey SPDIF Out): present = No
Pin 0x1f (Not connected): present = No

For 2 and 3, I did change the output line to analog in the audio
system settings plus other that show up there (HDMI//Display Port,
Digital Output, Headphones, and Analog)

David Henningsson (diwic) wrote :

Hmm, so not that then. Could you try this command:

speaker-test -c 2 -t sine -D plughw:PCH

...to see if that gives any sound output through the headphone jack?

summary: - [Gigabyte MB: GA-Z77X-UD5H-WB, ALC898] Audio level is too low on Intel
- Z77 Chipset
+ [Gigabyte MB: GA-Z77X-UD5H-WB, ALC898] No sound from headphone/line-out
+ jacks

On 7 June 2012 03:22, David Henningsson <email address hidden> wrote:
> Hmm, so not that then. Could you try this command:
>
> speaker-test -c 2 -t sine -D plughw:PCH
>
> ...to see if that gives any sound output through the headphone jack?

I did it but no sound came from the headphone jack:

anmar@i7:~$ speaker-test -c 2 -t sine -D plughw:PCH

speaker-test 1.0.25

Playback device is plughw:PCH
Stream parameters are 48000Hz, S16_LE, 2 channels
Sine wave rate is 440.0000Hz
Rate set to 48000Hz (requested 48000Hz)
Buffer size range from 64 to 16384
Period size range from 32 to 8192
Using max buffer size 16384
Periods = 4
was set period_size = 4096
was set buffer_size = 16384
 0 - Front Left
 1 - Front Right
Time per period = 5.632531
 0 - Front Left
 1 - Front Right
Time per period = 5.972755
 0 - Front Left
 1 - Front Right
Time per period = 5.973616
 0 - Front Left
 1 - Front Right
Time per period = 5.973234
 0 - Front Left
 1 - Front Right
Time per period = 5.973423
 0 - Front Left
 1 - Front Right
Time per period = 5.973257
 0 - Front Left
 1 - Front Right

Tuve Nordius (tuve) wrote :

I have the same motherboard and I guess there is some address issue, there is a workaround to use the subwoffer (grey) output on the back.

Anmar Oueja (anmar) wrote :

On 11 June 2012 07:07, Tuve Nordius <email address hidden> wrote:
> I have the same motherboard and I guess there is some address issue,
> there is a workaround to use the subwoffer (grey) output on the back.

I can confirm that the workaround works.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
cTn (ctndesigner) wrote :

Hi, i was wondering has there been any progress regarding this bug ? does any of the developers need any more info/testing ?

David Henningsson (diwic) wrote :

@cTn, from the codec information given, I have no clue why one jack would work and the others would not. Someone with access to the hardware and doing some trial and error with hda_analyzer might be able to figure out which codec node it is, that is failing/blocking sound.

Download full text (4.5 KiB)

I had the similar problems on a board with Ubuntu 12.04.

There was a very helpful article on Ubuntu that talked you through everything but didn’t help me.

I could not, and have not been able to get the front audio connection to work. I have however, made the rear audio work consistently. As a result, much of the problems were due to not plugging external audio output into the right socket. The pink socket didn’t work - the brown one does.

I suspect you have similar problems which are circumvented by HDMI.

Regards

David

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of cTn
Sent: 30 June 2012 22:05
To: <email address hidden>
Subject: [Bug 996245] Re: [Gigabyte MB: GA-Z77X-UD5H-WB, ALC898] No sound from headphone/line-out jacks

Hi, i was wondering has there been any progress regarding this bug ?
does any of the developers need any more info/testing ?

--
You received this bug notification because you are subscribed to a duplicate bug report (1016911).
https://bugs.launchpad.net/bugs/996245

Title:
  [Gigabyte MB: GA-Z77X-UD5H-WB, ALC898] No sound from headphone/line-
  out jacks

Status in “alsa-driver” package in Ubuntu:
  Confirmed
Status in Debian GNU/Linux:
  New

Bug description:
  I am using precise on my desktop. The system uses Intel's Z77 chipset
  with an Ivy Bridge CPU. The problem is two issues. I will break it
  into two bugs once I get a response from you guys.

  Issue 1: Audio out (green 3.5 mm plug) has not sound coming out of it.
  The only way to get sound is to plug the speakers into my screen that
  is HDMI connected and ask PulseAudio to use the HDMI for sound output.

  Issue 2: The audio levels are too low. the Max is decent if you are
  sitting next to the speaker. Please keep in mind that I have used
  alsamixer and check out the ubuntu-devel ppa for newers Alsa drivers
  (they are as new as the ones in precise)

  I am willing to test and help sort this out but it is not a major show
  stopper for me.

  ProblemType: Bug
  DistroRelease: Ubuntu 12.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu1
  Uname: Linux 3.4.0-030400rc6-generic x86_64
  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.25.
  ApportVersion: 2.0.1-0ubuntu7
  Architecture: amd64
  AudioDevicesInUse:
   USER PID ACCESS COMMAND
   /dev/snd/controlC0: anmar 2511 F.... pulseaudio
   /dev/snd/pcmC0D7p: anmar 2511 F...m pulseaudio
   /dev/snd/controlC1: anmar 2511 F.... pulseaudio
  Card0.Amixer.info:
   Card hw:0 'PCH'/'HDA Intel PCH at 0xf7d30000 irq 49'
     Mixer name : 'Intel PantherPoint HDMI'
     Components : 'HDA:10ec0899,1458a072,00100003 HDA:80862806,80860101,00100000'
     Controls : 58
     Simple ctrls : 24
  Card1.Amixer.info:
   Card hw:1 'U0x46d0x821'/'USB Device 0x46d:0x821 at usb-0000:00:1a.0-1.4, high speed'
     Mixer name : 'USB Mixer'
     Components : 'USB046d:0821'
     Controls : 2
     Simple ctrls : 1
  Card1.Amixer.values:
   Simple mixer control 'Mic',0
     Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum
     Capture channels: Mono
     Limits: Capture 0 - 52
     Mono: Capture 40 [77%] [-31.00d...

Read more...

Felix Warren (joshua-yellow) wrote :

I can confirm that this bug exists as I am experiencing it with a Gigabyte GA-Z77X-UD5H, 3770K processor and Ubuntu 12.04 64-bit desktop edition. I have not tried the gray socket for audio output, but HDMI audio works fine. The green socket also works just fine in Windows.

Anthony Howe (d21anthony) wrote :

I have a Intel Z77 as well. Wanted see if there has been any progress or a driver work around to get this working. I ran speaker-test -c 2 -t sine -D plughw:PCH and got this:

speaker-test 1.0.25

Playback device is plughw:PCH
Stream parameters are 48000Hz, S16_LE, 2 channels
Sine wave rate is 440.0000Hz
Playback open error: -16,Device or resource busy

I ran this test with speakers plugged into the the brown and green jacks in the back (which work), while having the headphones plugged into the front of the box. FYI while headphones plugged in, muting for the back jacks (speakers) works as it should.

I hope this is helpful for someone out there.

sml (smlubuntu) wrote :

same with problem with maximus V gene using Z77 chipset.

Realtek ALC898

no sound output from green output jack.

using 12.10 with all updates as at 27 aug 12 (3.5 kernel).

sml (smlubuntu) wrote :

EDIT ..
1. error above ... all is perfect from the motherboard green jack with 12.10 and all updates.

sml (smlubuntu) wrote :

The 12.10 updates over the past 2 to 3 weeks have resolved the problem.

Felix Warren (joshua-yellow) wrote :

Bug still exists for me with Ubuntu 12.10 (and the Z77X-UD5H-mb). Sound works via HDMI and grey jack, but NOT via green jack. In other words, bug is NOT resolved and still exists in the exact same form.

Anmar Oueja (anmar) wrote :

Same here. just tried 12.10 and the problem still exists on the same
exact MB as per bug.

Ing (christophermichaelingram) wrote :

Has anyone tried the latest BIOS versions (F14) to see if they've fixed the problem? They've just posted it in the last couple of days or so. One of the comments I've read said that this may be a motherboard specific problem...

Felix Warren (joshua-yellow) wrote :

With BIOS F14, nothing has changed for me.

gman16000 (garrettn) wrote :

i have a different workaround....if interested, read on.

i was lucky enough to buy the gigabyte Z77X-UD5H and use it with ubuntu 12.04 64bit and encounter the exact problem described in this thread. i also tried the BIOS F14 rom update and that does not fix the issue.

so i dorked around with various things (3.5 kernel, hda-jack-sense-test, hda_analyzer <- cool program btw, and hda-jack-retask) i even looked over a alc898 datasheet(yikes). but i'm not really an alsa guy so i was fumbling around more than anything.

i found an interesting workaround to this issue. my computer sits on the floor so plugging the headphone into the back is really not an option.

my solution:
i used hda-jack-retask to override my front pink mic port (0x19) to headphone. so now, when i'm playing music over my regular speakers and i want to plug in my headphones, i just plug them into the front pink mic jack. when i do that, it mutes my speakers and plays my music through the headphones. yay!!

steps i took:
1. install hda-jack-retask (google it if you dont know how)
2. run it as sudo
3. select codec "realtek alc898" (should be the default)
4. locate entry "Pink Mic, Front Side Pin ID: 0x19"
5. click override checkbox and select "Headphone" from the dropdown
6. apply
7. profit

good luck. hopefully that inspires better workarounds or a true fix for the issue. i'd be happy to work with other devs using hda_analyzer or whatever. just point me in a direction since i'm not an alsa guy.

gman16000 (garrettn) wrote :

couple things:

* i think you want to run hda-jack-retask as regular user (not sudo)
* persist the settings after reboots by clicking "install boot override"

David Henningsson (diwic) wrote :

I'm glad hda-jack-retask is being useful to people, that's why I wrote it :-)

Raül Cambeiro (raulcambeiro) wrote :

I was having this problem with the same mobo. The workaround in #27 worked for me as a temporary solution.

Problem seems solved after installing Realtek drivers from here:
http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=14&PFid=24&Level=4&Conn=3&DownTypeID=3&GetDown=false

Tested with version 1.0.25-5.17rc5 (there's rc8 now).
No more out of range errors in dmesg for hda-codec.

I don't know if this is eventually going into ALSA or even if plain ALSA 1.0.25 is enough for ALC898 to work. I can't test that right now as this is a production machine.

alsa-info.sh output is here:
http://www.alsa-project.org/db/?f=9dd18f23f2c450918d9342396cd24db7f6781050

David Henningsson (diwic) wrote :

If it is fixed in Realtek drivers, chances are that they are also fixed in the latest upstream drivers, which you can test by following this guide: https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS

Raymond (superquad-vortex2) wrote :

how can user change active port to rear green jack when hdmi is plugged if pulseaudio did not check the availability of line out jack

if pulseaudio really check the line out jack since the desktop user never unplugged the cable, how can hdmi be selected since speaker out has high priority

 active profile: <output:hdmi-stereo-extra1+input:analog-stereo>
 sinks:
  alsa_output.pci-0000_00_1b.0.hdmi-stereo-extra1/#4: Built-in Audio Digital Stereo (HDMI)
 sources:
  alsa_input.pci-0000_00_1b.0.analog-stereo/#2: Built-in Audio Analog Stereo
  alsa_output.pci-0000_00_1b.0.hdmi-stereo-extra1.monitor/#6: Monitor of Built-in Audio Digital Stereo (HDMI)
 ports:
  analog-output: Analog Output (priority 9900, available: unknown)
   properties:

  analog-output-headphones: Headphones (priority 9000, available: unknown)
   properties:

  analog-input-microphone-front: Front Microphone (priority 8500, available: no)
   properties:

  analog-input-microphone-rear: Rear Microphone (priority 8200, available: no)
   properties:

  analog-input-linein: Line In (priority 8100, available: no)
   properties:

  iec958-stereo-output: Digital Output (S/PDIF) (priority 0, available: unknown)
   properties:

  hdmi-output-0: HDMI / DisplayPort (priority 5900, available: no)
   properties:

  hdmi-output-1: HDMI / DisplayPort 2 (priority 5800, available: yes)
   properties:

Running kernel 3.6.2 here on Z77-UD5H as well, same problem. Jack sense works but no output to front headphone socket (didn't test rear). I'll give a try to hda-jack-retask workaround. Thanks all.

Paul R (intracube) wrote :

Hi Raül - I'm considering getting the GA-Z77X-UD5H. Can you or anyone else confirm that the headphone outputs (front and rear) all work when using the official Realtek drivers?

Do you know which revision of the mobo you have? Apparently, an earlier version had pale blue capacitors and a gap between the memory slots:
http://cdn.overclock.net/3/3b/3b4d8b1c_attachment.jpeg

The later revision had purple capacitors and no gap:
http://cdn.overclock.net/7/7f/7fa1702e_attachment.jpeg

It'd be good to know if the updated Realtek driver fixes this issue with both variants of motherboard.

Thanks.

bager4e (bager4e) wrote :

Hi Paul

I have maybe first version of this MB and running Debian wheezy.
I've just installed latest drivers 1.0.25-5.17rc13 - but this didn't fix the problem(in my case) . Still green out is absolutelly silent.

cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.25-5.17rc13.
Compiled on Dec 4 2012 for kernel 3.2.0-4-amd64 (SMP)

Also my 7.1 speakers didn't run correctly in this case(working as 5.1). Now I'm using 2.1 and gray out (sound is not very good).

Also contacted Gigabyte support to report the problem and for some clarification about BIOS updates or any ideas and they told me : "

Dear Ivaylo,

Thank you for your kindly mail and inquiry. About the issue you mentioned, we are sorry to inform you that our products only support Windows OS. Since we do not receive proper driver from chipset vender, we cannot guarantee Linux to work on our system. We suggest you to install Windows OS to prevent having problems. Sorry for the inconvenience.

Regards,
GIGABYTE

Cheers,

Ivaylo

Paul R (intracube) wrote :

Hi Ivaylo

I've gone ahead and bought the GA-Z77X-UD5H (from Amazon UK). I've got the later version (RAM slots equally spaced, purple capacitors and Nvidia SLI and ATI Crossfire logos are near the PCIe slots instead of next to the CPU socket.

I'll try using the standard ALSA drivers first, but if I can't get the sound to work properly I'll give the official Realtek drivers a go. Have you tried the Realtek drivers?

It will take me a couple of weeks or so to build my new computer and test the drivers and I'll post the results here.

David Henningsson (diwic) wrote :

Please try the latest upstream drivers according to
https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS
before trying something directly from Realtek. We need to know if it's fixed upstream or if we actually need to try picking something from the Realtek drivers.

bager4e (bager4e) wrote :

I've installed latest drivers from Realtek , not the standard ALSA drivers. Issue was not fixed with these drivers - nothing changed for me.

Raymond (superquad-vortex2) wrote :

post the output of alsa-info.sh

and pactl list

Paul R (intracube) wrote :

I should state that I'm using the non-wifi version of this board. Whether this has any influence on the problem, I don't know. But at least the newer revision of the GA-Z77X-UD5H works with the ALSA drivers - which is no consolation to those of you with other versions/variants of this board...

Tested with Ubuntu 12.10 and the default configuration. Rear green line out and front panel headphone sockets work. Sound quality is good. SuSE 12.2 also has no problems.

bager4e (bager4e) wrote :

Tested with 12.10 - same situation on my MB (also non-wifi) Rear green line and front panel didn't work.

bager4e (bager4e) wrote :

So, for the first rev of this MB (1.0) , issue is still not fixed with latest driver or with 12.10.

bager4e (bager4e) wrote :

Same problem with OSX and this motherboard (1.0).

http://www.tonymacx86.com/audio/66618-ga-z77x-ud5h-audio-green-port-problem-solved-welding-2-resistances-3.html

Issue is fixed in rev 1.1. This is confirmed from multiple users. So, if you have this revision you are lucky :)

What about rev 1.0? Gigabyte refuses support for open source based OS's and probably won't fix. I am absolutely convinced that they can fix this issue with BIOS update.

There are also 2 new beta BIOS's : F15q and F15o but I had no time to test them.

bager4e (bager4e) on 2013-01-26
Changed in debian:
status: New → Confirmed
Zaphrod (keith-weiland) wrote :

I tried the upstream drivers suggested by David but they did not work for me.

Zaphrod (keith-weiland) wrote :

Well I have re-installed Ubuntu 4 times now so that I am working with a fresh install each time and I have been unable to get sound working on either the front audio jack or the rear green line out jack using either the upstream drivers or the Realtek Drivers though I am able to get sound out of the sub-woofer jack.

I would be interested to know from those who have had success with the Realtek Driver which version of the driver you used and whether you just used the install script or if you followed the compile instructions and if you added any dependencies of any kind before hand?

I would also note that I do hear a brief scratching type of sound from the line out jacks when the system starts or if I change the sound settings in the audio panel.

bager4e (bager4e) wrote :

@Zaphrod : Which version of the Mainboard you have?

hms (hms666) wrote :

I never get the original Revision 1.0 board working.

First I had Rev 1.0 board with lightblue capacitors and space between mem slots, like s1 s2 -x- s3 s4.
This one has the broken audio.

I sent it back to gbyte and got a new board that's still Revision 1.0 but has purple caps and evenly spaced mem slots, and working audio.

Original BROKEN rev 1.0 S/N 12130003XXXX mem slots 12-34
New Fixed revison 1.0 S/N 12300007XXXX mem slots 1234

there's also revision 1.1 board that has fixed audio also.

Tomi Orava (tomi-orava) wrote :

I've got a copy of modified alsa-driver-1.0.25-5.17rc9-1.tar.bz2 that is supposed to get this audio working.
However, I was unable to get any real results after my tests even after I patched the patch_realtek.c.

I took take Z77X-UD5H specific patch and applied to change into 3.8.6 kernel:

--- linux-3.8.6/sound/pci/hda/patch_realtek.c 2013-04-05 19:49:06.000000000 +0300
+++ linux-3.8.6.gigabyte/sound/pci/hda/patch_realtek.c 2013-04-30 15:48:44.440199936 +0300
@@ -5037,6 +5037,7 @@
        ALC889_FIXUP_IMAC91_VREF,
        ALC882_FIXUP_INV_DMIC,
        ALC882_FIXUP_NO_PRIMARY_HP,
+ ALC898_FIXUP_GIGABYTE_Z77X_UD5H_GPIO,
 };

 static void alc889_fixup_coef(struct hda_codec *codec,
@@ -5359,6 +5360,20 @@
                .type = ALC_FIXUP_FUNC,
                .v.func = alc882_fixup_no_primary_hp,
        },
+ [ALC898_FIXUP_GIGABYTE_Z77X_UD5H_GPIO] = {
+ .type = ALC_FIXUP_VERBS,
+ .v.verbs = (const struct hda_verb[]) {
+ /* DMIC/GPIO Control */
+ { 0x20, AC_VERB_SET_COEF_INDEX, 0x11 },
+ { 0x20, AC_VERB_SET_PROC_COEF, 0x0801 },
+ /* GPIO 1 & 2 = 1 */
+ {0x01, AC_VERB_SET_GPIO_MASK, 0x03},
+ {0x01, AC_VERB_SET_GPIO_DIRECTION, 0x03},
+ {0x01, AC_VERB_SET_GPIO_DATA, 0x03},
+ { }
+ }
+ },
+
 };

 static const struct snd_pci_quirk alc882_fixup_tbl[] = {
@@ -5429,6 +5444,7 @@
        SND_PCI_QUIRK(0x161f, 0x2054, "Medion laptop", ALC883_FIXUP_EAPD),
        SND_PCI_QUIRK(0x17aa, 0x3a0d, "Lenovo Y530", ALC882_FIXUP_LENOVO_Y530),
        SND_PCI_QUIRK(0x8086, 0x0022, "DX58SO", ALC889_FIXUP_COEF),
+ SND_PCI_QUIRK(0x1458, 0xa072, "GA-Z77X-UD5H", ALC898_FIXUP_GIGABYTE_Z77X_UD5H_GPIO),
        {}
 };

Perhaps some alsa guys have some ideas what to try in order to get this to actually to work.
I can of course also deliver the full alsa-drivers package to somebody for more detailed verification.

bager4e (bager4e) wrote :

Some time ago I wrote a mail to Realtek regarding our issue but there is still no answer.

I'm tired of this problem.

There is absolutely no support from Gigabyte or Realtek . Also workaround with grey-out didn't fix the problem with 7.1 speakers....

If there is no fix soon I will burn my MB which is still in warranty and this will be replaced with 1.1 from local dealer.

hms (hms666) wrote :

Did you try getting it replaced ? GB support told me that they're under NDA and can't tell anything and that they are not aware of any issue(s). Then they said that I should RMA the mobo if I thinlk it's defect. My sound problem was fixed as soon as I swapped mobo.

bager4e (bager4e) wrote :

@hms , please read post #35

GB support:

.... "About the issue you mentioned, we are sorry to inform you that our products only support Windows OS. Since we do not receive proper driver from chipset vender, we cannot guarantee Linux to work on our system. We suggest you to install Windows OS to prevent having problems."

Local dealer don't wont to replace the MB , because same board work with Windows.

hms (hms666) wrote :

Then try getting it refunded if they won't replace it, it's defect , manufacturing error, no sound, the soundcard is not properly activating. It is known as later it was fixed, and they even had info where to solder resistors to fix it, wich was removed tho, see tonymac forums.

It's a company to avoid if they won't replace broken stuff they sell, tell them to wire you money for win license ? There was no mention of windows only @ site ?

Tell them that it looses bios settings once in a while and defaults them, like it really does sometimes. Also complain about the usb3 compatiblity and dissappearing network card.

It's too expensive to have this 'no sound' feature.

bager4e (bager4e) wrote :

 You are absolutely right. Next week I plan to change it .

 Will let you know what will happen.

Cheers,

bager4e (bager4e) wrote :

Still no time to replace my piece of crap.

Tested with kernel 3.9.1(Debian testing) . Same situation.

cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version k3.9-1-amd64.

Also compiled latest driver module from RT. And this just broke my linux.

bager4e (bager4e) wrote :

Fixed for me with rev. 1.1 :)

func0der (funcoder-s) wrote :

I have to dig this up again, because it is still not fixed.

I can confirm that with my GA-Z77X-UD5H rev1.0 board with the pink resistor caps and the equaly spaced memory slots the problem stil exists in Ubuntu 14.10 with Kernel 3.16.0-31-generic.

func0der (funcoder-s) wrote :

And I can also confirm that the realtek driver is not compilable with the given kernel nor does it do the system any good as stated in #55 if you change the .c files to remove outdated function calls like fget_light or __list_for_each.

The latest ALSA driver which I tried to obtain as described here: https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS

Was not able to be build properly for utopic and the one for Ubuntu 13.10, which was the first new one that has not failed building, did not work either.

hms (hms666) wrote :

What's the serial for your board?

My boards
Original BROKEN rev 1.0 S/N 12130003XXXX mem slots 12-34
New FIXED [HW] rev 1.0 S/N 12300007XXXX mem slots 1234

func0der (funcoder-s) wrote :

@Raymond:
Cool thing. Does that solve the problem?
How do I get it? It does not seem to come over the repositories of ubuntu.

@hms:
I can not find the S/N. Where can I find it?

func0der (funcoder-s) wrote :

@hms:
I found it. But it is completely different from yours.

SN12190001XXXX

Seems like mine is from a batch inbetween.

I do not know what you mean with "mem slots" part. But I do not have any noticeable bigger gap between the memory slots.

hms (hms666) wrote :

Serial starts wiht 121xxxxxxxxxxxx , looks like your's is old model that needs HW modification.
I'm not 100% sure but my 1st with 121 was windows only board.

There was some guy at mac forums that had picture what solder to older boards to fix it (per request of gigabyte support), it was removed tho so can't say if it was legit.

func0der (funcoder-s) wrote :

Maybe the patch would help. But i neither know if I got this already nor how to apply it if not.

@superquad-vortex2: How do I do/check it?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.